<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__ble__connection__param__update__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_ble_connection_param_update_t</compoundname>
    <includes local="no">wiced_bt_dev.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__ble__connection__param__update__t_1aaa48189b574756acf676490685f19dd4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_ble_connection_param_update_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>connection parameters update status </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="638" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="638" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__connection__param__update__t_1a83d5d785582246b0524daa1f981a7414" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
        <definition>wiced_bt_device_address_t wiced_bt_ble_connection_param_update_t::bd_addr</definition>
        <argsstring />
        <name>bd_addr</name>
        <briefdescription>
<para>peer bd address </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="639" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="639" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__connection__param__update__t_1a5fc4b17a842abcf3a918b95fa8b1ac83" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_ble_connection_param_update_t::conn_interval</definition>
        <argsstring />
        <name>conn_interval</name>
        <briefdescription>
<para>updated connection interval ( in 0.625msec ) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="640" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="640" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__connection__param__update__t_1ae566838800ef3e7ad627dc8ef7292e5c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_ble_connection_param_update_t::conn_latency</definition>
        <argsstring />
        <name>conn_latency</name>
        <briefdescription>
<para>updated connection latency </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="641" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="641" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__connection__param__update__t_1a3c080080674c907ba99f2b91ed5ad7a7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_ble_connection_param_update_t::supervision_timeout</definition>
        <argsstring />
        <name>supervision_timeout</name>
        <briefdescription>
<para>updated supervision timeout </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="642" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="642" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BLE connection parameter update event related data. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="643" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="636" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="637" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__ble__connection__param__update__t_1a83d5d785582246b0524daa1f981a7414" virt="non-virtual"><scope>wiced_bt_ble_connection_param_update_t</scope><name>bd_addr</name></member>
      <member prot="public" refid="structwiced__bt__ble__connection__param__update__t_1a5fc4b17a842abcf3a918b95fa8b1ac83" virt="non-virtual"><scope>wiced_bt_ble_connection_param_update_t</scope><name>conn_interval</name></member>
      <member prot="public" refid="structwiced__bt__ble__connection__param__update__t_1ae566838800ef3e7ad627dc8ef7292e5c" virt="non-virtual"><scope>wiced_bt_ble_connection_param_update_t</scope><name>conn_latency</name></member>
      <member prot="public" refid="structwiced__bt__ble__connection__param__update__t_1aaa48189b574756acf676490685f19dd4" virt="non-virtual"><scope>wiced_bt_ble_connection_param_update_t</scope><name>status</name></member>
      <member prot="public" refid="structwiced__bt__ble__connection__param__update__t_1a3c080080674c907ba99f2b91ed5ad7a7" virt="non-virtual"><scope>wiced_bt_ble_connection_param_update_t</scope><name>supervision_timeout</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>